### Calculate order Calculate given order and return the result, this is used in plan selector to show the price of the order.
A list of all publicly available methods for interacting with the API.
GET
Get cart calculate -/cart/calculate
Query method
GEThttp://apilocal.stableproxy.com/v2/cart/calculate
Query parameters
| Identifier | Regulations | Example |
|---|---|---|
| traffic-unitNot necessarily | nullablestringin:gb | "gb" |
| period-unitNot necessarily | nullablestringin:weeks, weeks, months, years | "weeks" |
| traffic-amount | requiredintegerin:25, 100, 400, 800, 5000 | "25" |
| period-amount | requiredintegerin | "1" |
| countNot necessarily | nullableinteger | 30 |
| countriesNot necessarily | nullablearray | {"UA": 10, "PL": 20} |
| type | requiredstringin:shared, private, mobile_rotating_gb, residential_gb, datacenter_gb, residential_city_gb, residential_static_gb, mobile_gb, mobile_static, mobile_static_gb | "shared" |
| currencyNot necessarily | nullablestringcurrency_code | "USD" |
| has-unlimited-auth-ipsNot necessarily | nullableex-boolean | false |
| serviceNot necessarily | nullablestringilluminate\_validation\_rules\_in | 75 |
| ip-scoreNot necessarily | nullablenumeric | 76 |
Code examples
JavaScript
async function getCartCalculate() {
const baseUrl = 'http://apilocal.stableproxy.com/v2';
const req = await fetch(baseUrl + '/cart/calculate?' + Object.entries({
"traffic-unit": "gb",
"period-unit": "weeks",
"traffic-amount": "25",
"period-amount": "1",
"count": 30,
"countries[UA]": 10,
"countries[PL]": 20,
"type": "shared",
"currency": "USD",
"has-unlimited-auth-ips": false,
"service": 75,
"ip-score": 76
}).map(([key, value]) => key + "=" + value).join('&'), {
method: 'GET',
headers: {
'Content-Type': 'application/json'
}
}
);
const res = await req.json();
}